@echo off
title 修复数字权利激活失败
reg query HKU\S-1-5-19 1>nul 2>nul || goto :Admin
echo 124.108.22.138 licensing.mp.microsoft.com >> %SYSTEMROOT%\System32\Drivers\etc\hosts
echo 修复完成！
pause > null
exit
:Admin
echo.
echo  请以管理员身份运行!
echo.
pause >nul